Katello - Bug #5422

Every user interaction in API/CLI cause user orchestration to trigger
04/24/2014 09:52 AM - Ivan Necas

Status: Closed

Priority: High

Assignee: Ivan Necas

Category: API

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

This leads to slower responses, as well as issues with locking when the orchestration is running.

It happens because the “user.last_logged_in" is being update every time the APl is used by the user.

The fix should be not running the orchestration when this update happens.

Associated revisions

Revision 1f849fbb - 05/13/2014 03:27 PM - Ivan Necas

Fixes #5422 - don't orchestrate user at login every login

Revision 59246072 - 05/13/2014 03:39 PM - lvan Necas
Merge pull request #4070 from iNecas/5422

Fixes #5422 - don't orchestrate user at login every login

History

#1 - 05/13/2014 03:05 PM - Ivan Necas
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 05/13/2014 03:12 PM - Og Maciel
Related to https://bugzilla.redhat.com/show_bug.cqi?id=1097333

#3 - 05/13/2014 03:28 PM - lvan Necas
https://github.com/Katello/katello/pull/4070/files

#4 - 05/13/2014 03:29 PM - Ivan Necas
- Status changed from Assigned to Ready For Testing

#5 - 05/13/2014 03:52 PM - lvan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katellojcommit:1{849fbb0e4117775e3df29001ef415e35226326.

#6 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#7 - 06/06/2014 01:08 PM - Eric Helms
https://bugzilla.redhat.com/show_bug.cgi?id=1097333
https://github.com/Katello/katello/pull/4070/files

- Triaged changed from No to Yes

#8 - 08/22/2014 08:05 AM - Eric Helms

- translation missing: en.field_release set to 13
